Subject: Re: [Iasa20] Odd deprecations in draft-ietf-iasa2-consolidated-upd-05

From: "Livingood, Jason" <[email-masked]>
Date: Sat, 2 Mar 2019 13:36:29 +0000

FYI for the WG – we conferred again with the RFC Editor and this is a rather complicated and arcane situation. She recommended we do the following, which John will be doing in his next revision. That should close this issue and we can move forward.

1 – The document should obsolete ***and*** move to historic RFC 3929 and RFC 4633.
2 – The document should include text that requests that the IAB move RFC 3716 to historic.

These actions will result (directly in the case of 3929 and 4633, and when the IAB makes their request for 3716) in the RFC Editor updating their database and the status of the documents in question.

Thanks,
Jason

From: iasa20 <[email-masked]> on behalf of "Heather Flanagan (RFC Series Editor)" <[email-masked]>
Date: Thursday, February 21, 2019 at 11:41 AM
To: John C Klensin <[email-masked]>
Cc: IASA 2 WG <[email-masked]>, Russ Housley <[email-masked]>
Subject: Re: [Iasa20] Odd deprecations in draft-ietf-iasa2-consolidated-upd-05

On Feb 16, 2019, at 3:19 PM, John C Klensin <[email-masked]<mailto:[email-masked]>> wrote:

That is clearly a mess.   I believe it is the RFC Editor's mess
and Heather (copied) ought to be able to just figure out a way
to clean it up and get that implemented.  However I suspect that
at least one of the IESG, RSOC, or IAB would disagree and think
they needed to intervene, steer, or at least sign off (I'd be
delighted to be wrong about that).  It is rather clearly not an
IASA 2.0 mess or a WG mess except that I think the job of the WG
is to get the new system and transition documented and to do so
in a clear and orderly fashion.   I hope we can agree that
"mess" and "clear and orderly" are inconsistent.

Hi John, all,

This is a long standing mess, and one I brought up with the IESG some time ago. My preference (because I like a human-friendly information trail) is for there to be an RFC that documents (and perhaps explains) the action of moving another to Historic, and that happens sometimes. More often, especially these days, is just a database-level status change, which is considered sufficient by the IESG.

In either case, though, the information is noted on the Info page of the RFC that has been changed to Historic as well as on the RFC Status Change page (https://www.rfc-editor.org/status_changes.php).

Hope that helps,
Heather

---

From: Eliot Lear <[email-masked]>
Date: Sat, 2 Mar 2019 17:26:40 +0100

> On 2 Mar 2019, at 14:36, Livingood, Jason <[email-masked]> wrote:
> 

We have crossed streams before.  See RFC 7979 (Russ was a co-author of that document).  There was a note in that document that simply stated:

> 5.  IAB Note
> 
>    The IAB supports the response in this document.

I would propose that the IAB simply agree to a note as follows:

> IAB Note
> 
> With the publication of this document, RFC 3716 is designated as historic.

That way you know that you have the IAB’s support for such an action at the time the document is published, and that you cannot end up in a situation where this document is published and 3716 is not, for whatever reason, not made historic.

Eliot

---

From: John C Klensin <[email-masked]>
Date: Sat, 02 Mar 2019 12:22:26 -0500

Eliot and IAB members who are following this,

If the IAB is willing to commit to that RSN, I'll fix the
document accordingly.  I'd prefer to not hold up IESG review on
this matter or to find time to generate extra drafts so, if a
quick IAB commitment is not possible, I suggest I fix the
document as Heather and Jason have suggested but encourage the
RFC Editor to treat the comment about IAB action as if it were a
normative reference, i.e., assuming the IESG actually approves
this I-D for publication, they don't actually publish until the
IAB's preferences are clear and then, if necessary, we do a
touch-up on the document during AUTH48 with confidence that the
WG's intent is perfectly clear.

Does that work for everyone?

    john  (as editor)

--On Saturday, March 2, 2019 17:26 +0100 Eliot Lear
<[email-masked]> wrote:

>> FYI for the WG – we conferred again with the RFC Editor and
>> this is a rather complicated and arcane situation. She
>> recommended we do the following, which John will be doing in
>> his next revision. That should close this issue and we can
>> move forward.
>> 
>> 1 – The document should obsolete ***and*** move to historic
>> RFC 3929 and RFC 4633. 2 – The document should include text
>> that requests that the IAB move RFC 3716 to historic.
> 
> We have crossed streams before.  See RFC 7979 (Russ was a
> co-author of that document).  There was a note in that
> document that simply stated:
> 
>> 5.  IAB Note
>> 
> That way you know that you have the IAB's support for such
> an action at the time the document is published, and that you
> cannot end up in a situation where this document is published
> and 3716 is not, for whatever reason, not made historic.

---

From: Eliot Lear <[email-masked]>
Date: Sat, 2 Mar 2019 19:39:52 +0100

> On 2 Mar 2019, at 18:22, John C Klensin <[email-masked]> wrote:
> 
> document accordingly.

I think this way is simpler and cleaner.

>  I'd prefer to not hold up IESG review on

Yeah, if the RFC Editor doesn’t mind, you can put text in like, [Note to RFC Editor: IAB to fill in their statement here.]

I also realize that I shouldn’t have proposed specific text. That was a bit forward of me.  The IAB should just consider that a sample that could get the job done.

> Does that work for everyone?

WFM, noting above.

Eliot

---

From: Alissa Cooper <[email-masked]>
Date: Mon, 4 Mar 2019 15:38:48 -0500

I have asked to add this to the agenda for the IAB call on Wednesday, March 6.

Alissa

> On Mar 2, 2019, at 1:39 PM, Eliot Lear <[email-masked]> wrote:
> 
> 
> 
> _______________________________________________
> iasa20 mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/iasa20

---

From: John C Klensin <[email-masked]>
Date: Mon, 04 Mar 2019 16:04:23 -0500

Alissa,

Excellent.   Do you (and/or Ted if he is reading this) have any
preference as to whether I post a new draft in the next several
hours with an appropriate note to the RFC Editor or just wait
until Thursday in the hope of an IAB action and specific
instructions about what text to put in?   It makes little
difference to me; I'd prefer to do whatever is easiest for the
others (IESG, IAB, RFC Editor) involved.

best,
   john

--On Monday, March 4, 2019 15:38 -0500 Alissa Cooper
<[email-masked]> wrote:

>>> document as Heather and Jason have suggested but encourage
>>> the RFC Editor to treat the comment about IAB action as if
>>> it were a normative reference, i.e., assuming the IESG
>>> actually approves this I-D for publication, they don't
>>> actually publish until the IAB's preferences are clear and
>>> then, if necessary, we do a touch-up on the document during
>>> AUTH48 with confidence that the WG's intent is perfectly
>>> clear.
>> 
>> Yeah, if the RFC Editor doesn't mind, you can put text in
>> like, [Note to RFC Editor: IAB to fill in their statement
>> here.]
>> 
>> I also realize that I shouldn't have proposed specific
>> text. That was a bit forward of me.  The IAB should just
>> consider that a sample that could get the job done.
>> 
>>>

---

From: Ted Hardie <[email-masked]>
Date: Mon, 4 Mar 2019 13:07:25 -0800

> others (IESG, IAB, RFC Editor) involved.
As a follow-up to Alissa's note I proposed very simple text for inclusion.
If you wait until Thursday, we may have the text.  Easy enough to update
post-facto, of course, if you would rather prioritize getting this
afterwards.

regards,

Ted

---

From: John C Klensin <[email-masked]>
Date: Mon, 04 Mar 2019 16:14:47 -0500

--On Monday, March 4, 2019 13:07 -0800 Ted Hardie
<[email-masked]> wrote:

>> Excellent.   Do you (and/or Ted if he is reading this) have
>> any preference as to whether I post a new draft in the next
>> several hours with an appropriate note to the RFC Editor or
>> just wait until Thursday in the hope of an IAB action and
>> specific instructions about what text to put in?   It makes
>> little difference to me; I'd prefer to do whatever is easiest
>> for the others (IESG, IAB, RFC Editor) involved.
>> 
>> 
> As a follow-up to Alissa's note I proposed very simple text
> for inclusion. If you wait until Thursday, we may have the
> text.  Easy enough to update post-facto, of course, if you
> would rather prioritize getting this afterwards.
> 
> regards,
> 
> Ted

Ted,
Many thanks.  I'll wait.
   john

>> >>> this matter or to find time to generate extra drafts so,
>> >>> if a quick IAB commitment is not possible, I suggest I
>> >>> fix the document as Heather and Jason have suggested but
>> >>> encourage the RFC Editor to treat the comment about IAB
>> >>> action as if it were a normative reference, i.e.,
>> >>> assuming the IESG actually approves this I-D for
>> >>> publication, they don't actually publish until the IAB's
>> >>> preferences are clear and then, if necessary, we do a
>> >>> touch-up on the document during AUTH48 with confidence
>> >>> that the WG's intent is perfectly clear.
>> >>

---

From: Alissa Cooper <[email-masked]>
Date: Wed, 6 Mar 2019 22:33:34 -0500

The IAB would support this note appearing in the draft:

"The IAB approved a proposal to move RFC 3716 to Historic on March 6, 2019.”

This will be reflected in the minutes from today’s IAB meeting.

Alissa

> On Mar 4, 2019, at 4:14 PM, John C Klensin <[email-masked]> wrote:
> 
> 
> 
> <[email-masked] <mailto:[email-masked]>> wrote:
>